> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task details

> Get task details within a universe instance.



## OpenAPI

````yaml get /universes/{universe_id}/tasks/{task_num}
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /universes/{universe_id}/tasks/{task_num}:
    get:
      tags:
        - Universe
      summary: Get task details
      description: Get task details within a universe instance.
      operationId: get_task_universes__universe_id__tasks__task_num__get
      parameters:
        - name: universe_id
          in: path
          required: true
          schema:
            type: string
            title: Universe Id
        - name: task_num
          in: path
          required: true
          schema:
            type: string
            title: Task Num
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskDetails'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TaskDetails:
      properties:
        task_num:
          type: string
          title: Task Num
          description: Task number
        universe_id:
          type: string
          title: Universe Id
          description: Universe ID
        title:
          type: string
          title: Title
          description: Task title
        description:
          type: string
          title: Description
          description: Full task description
        prompt:
          type: string
          title: Prompt
          description: LLM prompt for the task
        difficulty:
          $ref: '#/components/schemas/TaskDifficulty'
          description: Difficulty level
        verification_rationale:
          type: string
          title: Verification Rationale
          description: >-
            Detailed explanation of what verification checks for and how task
            completion is evaluated
      type: object
      required:
        - task_num
        - universe_id
        - title
        - description
        - prompt
        - difficulty
        - verification_rationale
      title: TaskDetails
      description: Detailed information about a task
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskDifficulty:
      type: string
      enum:
        - easy
        - medium
        - hard
      title: TaskDifficulty
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````